#
# spec file for package python-posix_ipc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-posix_ipc
Version:        1.0.0
Release:        lp150.1.3
Summary:        POSIX IPC primitives for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://semanchuk.com/philip/posix_ipc/
Source:         https://pypi.python.org/packages/source/p/posix_ipc/posix_ipc-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
posix_ipc is a Python module (written in C) that permits creation and 
manipulation of POSIX inter-process semaphores, shared memory and message 
queues on platforms supporting the POSIX Realtime Extensions a.k.a. POSIX
1003.1b-1993. This includes nearly all Unices and Windows + Cygwin 1.7.

%prep
%setup -q -n posix_ipc-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README ReadMe.html
%{python_sitearch}/*

%changelog
* Mon Nov 14 2016 dmueller@suse.com
- update to 1.0.0:
  * Added ability to pass names as unicode in Python 2.
  * Added ability to pass names as bytes in Python 3.
  * Made unit tests nicer by taking advantage of Python 2.7+
* Tue Feb 17 2015 tbechtold@suse.com
- update to 0.9.9:
  * Added the ability to build on platforms that don't support the
    POSIX Realtime Signals Extension.
  * Added extensive unit tests.
  * Minor documentation updates.
* Mon May 26 2014 dmueller@suse.com
- Initial package (0.9.8)
